------------------------------------------------------------------------
-- Database=DBOC40S1   Stogroup=SYSDEFLT
------------------------------------------------------------------------
--
  SET CURRENT SQLID='OMVSADM';
--
  CREATE DATABASE DBOC40S1
    BUFFERPOOL BP0
    INDEXBP    BP0
    CCSID      EBCDIC
    STOGROUP   SYSDEFLT;
--
  COMMIT;
--
------------------------------------------------------------------------
-- Database=DBOC40S1   Stogroup=SYSDEFLT (for partition 1)
-- Table space=DBOC40S1.TSOC40S1
------------------------------------------------------------------------
--
  CREATE TABLESPACE TSOC40S1
    IN DBOC40S1
    USING STOGROUP SYSDEFLT
    PRIQTY 64 SECQTY 64
    ERASE  NO
    FREEPAGE 0 PCTFREE 0
    GBPCACHE CHANGED
    TRACKMOD NO
    MAXPARTITIONS 2
    LOGGED
    DSSIZE 4 G
    SEGSIZE 32
    MEMBER CLUSTER
    BUFFERPOOL BP8K1
    LOCKSIZE ROW
    LOCKMAX SYSTEM
    CLOSE NO
    COMPRESS NO
    CCSID      EBCDIC
    DEFINE YES
    MAXROWS 255;
--
  COMMIT;
--
------------------------------------------------------------------------
--    Table=OMVSADM.TBOC40S1 In DBOC40S1.TSOC40S1
------------------------------------------------------------------------
--
  CREATE TABLE OMVSADM.TBOC40S1
     (TRANSACTION_ID       CHAR(10) FOR SBCS DATA NOT NULL
        WITH DEFAULT,
      TRANSACTION_DESCRIPTION          VARCHAR
        (254) FOR SBCS DATA NOT NULL WITH DEFAULT,
      TRANSACTION_CREATE_VARBINARY1    VARBINARY(40) NOT NULL
        WITH DEFAULT,
      TRANSACTION_CREATE_BINARY1       BINARY(60) NOT NULL
        WITH DEFAULT,
      TRANSACTION_CREATE_DECFLOAT1     DECFLOAT(34) NOT NULL
        WITH DEFAULT,
      CONSTRAINT TRANSACTION_ID
      PRIMARY KEY (TRANSACTION_ID))
    IN DBOC40S1.TSOC40S1
    PARTITION BY SIZE
    AUDIT ALL
    DATA CAPTURE CHANGES
    WITH RESTRICT ON DROP
    CCSID      EBCDIC
    NOT VOLATILE
    APPEND YES ;
--
  COMMIT;
--
------------------------------------------------------------------------
-- Database=DBOC40S1
--    Index=OMVSADM.IXOC40S1 On OMVSADM.TBOC40S1
------------------------------------------------------------------------
--
  CREATE UNIQUE INDEX OMVSADM.IXOC40S1
    ON OMVSADM.TBOC40S1
     (TRANSACTION_ID        ASC)
    INCLUDE
     (TRANSACTION_DESCRIPTION         )
    NOT PADDED
    USING STOGROUP SYSDEFLT
    PRIQTY 64 SECQTY 48
    ERASE  NO
    FREEPAGE 0 PCTFREE 10
    GBPCACHE ALL
    CLUSTER
    COMPRESS YES
    INCLUDE NULL KEYS
    BUFFERPOOL BP8K1
    CLOSE NO
    COPY NO
    DEFER NO
    DEFINE YES
    PIECESIZE 2 G;
--
  COMMIT;
--
------------------------------------------------------------------------
--    Table=OMVSADM.ITEM01_SRC In database DBOC40S1
--    Table space will be implicitly defined
------------------------------------------------------------------------
--
  CREATE TABLE OMVSADM.ITEM01_SRC
     (ITEM_NAME            VARCHAR(50) FOR SBCS DATA NOT NULL
        WITH DEFAULT CURRENT SQLID ,
      ITEM_ID              CHAR(7) FOR SBCS DATA NOT NULL,
      ITEM_CATEGORY_ID     SMALLINT NOT NULL,
      ITEM_SUB_CATEGORY    SMALLINT WITH DEFAULT NULL,
      ITEM_FORMAT          VARCHAR(25) FOR SBCS DATA NOT NULL,
      ITEM_PRICE           DECIMAL(7, 2) NOT NULL,
      ITEM_HEIGHT          FLOAT WITH DEFAULT 0.1,
      ITEM_WIDTH           REAL WITH DEFAULT 0.1,
      ITEM_FOREIGN_DATA1   VARCHAR(165) FOR SBCS DATA
        WITH DEFAULT NULL,
      ITEM_FOREIGN_DATA2   VARCHAR(165) FOR SBCS DATA
        WITH DEFAULT NULL,
      ITEM_DATA            VARCHAR(165) FOR SBCS DATA
        WITH DEFAULT NULL,
      ITEM_DESCRIPTION     VARCHAR(500) FOR SBCS DATA
        WITH DEFAULT NULL,
      ITEM_IMAGE           VARCHAR(500) FOR SBCS DATA
        WITH DEFAULT NULL,
      ITEM_SAMPLE          VARCHAR(100) FOR SBCS DATA
        WITH DEFAULT NULL,
      ITEM_ROWID           ROWID NOT NULL GENERATED BY DEFAULT,
      CONSTRAINT ITEM_ID
      UNIQUE      (ITEM_ID))
    IN DATABASE DBOC40S1
    PARTITION BY (ITEM_ID ASC)
     (PARTITION 1 ENDING AT ('1100000'),
      PARTITION 2 ENDING AT ('1200000'),
      PARTITION 3 ENDING AT ('1300000'),
      PARTITION 4 ENDING AT ('1400000'),
      PARTITION 5 ENDING AT ('1500000'))
    AUDIT NONE
    DATA CAPTURE NONE
    CCSID      EBCDIC
    NOT VOLATILE
    APPEND NO  ;
--
  COMMIT;
--
------------------------------------------------------------------------
-- Database=DBOC40S1   Stogroup=SYSDEFLT (for partition 1)
-- Table space=DBOC40S1.TUOC40S1
------------------------------------------------------------------------
--
  CREATE TABLESPACE TUOC40S1
    IN DBOC40S1
    USING STOGROUP SYSDEFLT
    PRIQTY 48 SECQTY 32
    FREEPAGE 0 PCTFREE 5
    GBPCACHE CHANGED
    TRACKMOD YES
    LOGGED
    DSSIZE 1 G
    NUMPARTS 1
    SEGSIZE 16
    BUFFERPOOL BP16K0
    LOCKSIZE ANY
    LOCKMAX SYSTEM
    CLOSE NO
    COMPRESS YES
    CCSID      UNICODE
    DEFINE YES
    MAXROWS 100;
--
  COMMIT;
--
------------------------------------------------------------------------
--    Table=OMVSADM.ITEM02_SRC In DBOC40S1.TUOC40S1
------------------------------------------------------------------------
--
  CREATE TABLE OMVSADM.ITEM02_SRC
     (ITEM_NAME            VARCHAR(50) FOR SBCS DATA NOT NULL
        WITH DEFAULT CURRENT SQLID ,
      ITEM_ID              CHAR(6) FOR SBCS DATA NOT NULL
        WITH DEFAULT,
      ITEM_NUM1            INTEGER NOT NULL WITH DEFAULT,
      ITEM_NUM2            SMALLINT NOT NULL WITH DEFAULT,
      ITEM_NUM3            DECIMAL(6, 0) NOT NULL WITH DEFAULT,
      ITEM_NUM4            CHAR(3) FOR SBCS DATA NOT NULL
        WITH DEFAULT,
      ITEM_CATEGORY_ID     DECIMAL(5, 0) NOT NULL WITH DEFAULT,
      ITEM_SUB_CATEGORY    SMALLINT WITH DEFAULT NULL,
      ITEM_FORMAT          VARCHAR(25) FOR SBCS DATA NOT NULL
        WITH DEFAULT,
      ITEM_HEIGHT          FLOAT WITH DEFAULT 0.1,
      ITEM_WIDTH           REAL WITH DEFAULT 0.1,
      ITEM_CREATE_DECIMAL              DECIMAL(7, 2) NOT NULL
        WITH DEFAULT 0,
      ITEM_FOREIGN_DATA1   GRAPHIC(65) WITH DEFAULT NULL,
      ITEM_FOREIGN_DATA2   GRAPHIC(65) WITH DEFAULT G'.aIaBaM.',
      ITEM_FOREIGN_DATA3   VARGRAPHIC(65) WITH DEFAULT G'..',
      ITEM_DATA            VARCHAR(65) FOR SBCS DATA
        WITH DEFAULT CURRENT SQLID ,
      ITEM_CREATE_VARBINARY1           VARBINARY(750) NOT NULL
        WITH DEFAULT,
      ITEM_CREATE_BIGINT1              BIGINT NOT NULL WITH DEFAULT,
      ITEM_CREATE_BINARY1              BINARY(80) NOT NULL
        WITH DEFAULT,
      ITEM_CREATE_RCT1     TIMESTAMP (6) WITHOUT TIME ZONE NOT NULL
        GENERATED BY DEFAULT
        FOR EACH ROW ON UPDATE AS ROW CHANGE TIMESTAMP
                IMPLICITLY HIDDEN,
      ITEM_CREATE_DECFLOAT1            DECFLOAT(34) NOT NULL
        WITH DEFAULT,
      ITEM_CREATE_IDENTITY1            INTEGER NOT NULL
        GENERATED BY DEFAULT
        AS IDENTITY
          (START WITH 1, INCREMENT BY 1, CACHE 20, NO CYCLE,
           NO ORDER, MAXVALUE 2147483647, MINVALUE 1),
      ITEM_CREATE_TIMESTAMP1           TIMESTAMP
        (6) WITHOUT TIME ZONE WITH DEFAULT NULL,
      ITEM_CREATE_TIMESTAMP2           TIMESTAMP
        (6) WITHOUT TIME ZONE WITH DEFAULT NULL,
      CONSTRAINT ITEM_ID
      PRIMARY KEY (ITEM_ID),
      CONSTRAINT CNST_ITEM_CREATE_BIGNT1
        CHECK (ITEM_CREATE_BIGINT1 <>0 OR ITEM_CREATE_BIGINT1 = 0))
    IN DBOC40S1.TUOC40S1
    PARTITION BY (ITEM_ID ASC)
     (PARTITION 1 ENDING AT ('999999'))
    AUDIT NONE
    DATA CAPTURE NONE
    CCSID      UNICODE
    VOLATILE
    APPEND NO  ;
--
  COMMIT;
--
------------------------------------------------------------------------
-- Database=DBOC40S1
--    Index=OMVSADM.IUOC40S1_ITEM02_SRC On OMVSADM.ITEM02_SRC
------------------------------------------------------------------------
--
  CREATE UNIQUE INDEX OMVSADM.IUOC40S1_ITEM02_SRC
    ON OMVSADM.ITEM02_SRC
     (ITEM_ID               ASC)
    USING STOGROUP SYSDEFLT
    PRIQTY -1 SECQTY -1
    ERASE  NO
    FREEPAGE 25 PCTFREE 25
    GBPCACHE CHANGED
    NOT CLUSTER
    COMPRESS YES
    INCLUDE NULL KEYS
    BUFFERPOOL BP8K1
    CLOSE NO
    COPY NO
    DEFER NO
    DEFINE YES
    PIECESIZE 4 G;
--
  COMMIT;
--